Subject: RE: [Hubmib] FW: EPON MIB comments (eponDeviceObjectReportThreshold)

From: "Lior khermosh" <[email-masked]>
Date: Wed, 5 Jan 2005 13:47:40 +0200

[LK] OK.

-----Original Message-----
From: Glen Kramer [mailto:[email-masked]] 
Sent: Wednesday, January 05, 2005 2:46 AM
To: 'Lior khermosh'; 'Romascanu, Dan (Dan)'; [email-masked]
Subject: RE: [Hubmib] FW: EPON MIB comments
(eponDeviceObjectReportThreshold)

[GK] eponDeviceObjectReportThreshold. The 802.3ah standard does not
limit number of thresholds to be used.  This object will only return the
first threshold for each queue. What about the rest of thresholds? How
to read/set them?

[LK] O.K. Would you consider such an object definition instead: I think
it covers multiple thresholds. 

> eponDeviceObjectReportNumThreshold
> OBJECT-TYPE
>     SYNTAX  Integer32
>     MAX-ACCESS  read-write
>     STATUS  current
>     DESCRIPTION
>             "A set of 8 integers, for each LLID, that defines the
>              number of thresholds for each Queue in the REPORT
>              message, as defined in [802.3ah] 64. Each Queue set
>              reporting will provide information on the queue
>              occupancy of frames below the matching Threshold.
>              Writing can be done all the time.
>              This attribute is relevant for an OLT and an ONU."
>     DEFVAL { 0 }
>     ::= { eponDeviceControlEntry 7 }
> 
>     eponDeviceObjectReportThreshold OBJECT-TYPE
>     SYNTAX  Integer32
>     UNITS       "TQ (16nsec)"
>     MAX-ACCESS  read-write
>     STATUS  current
>     DESCRIPTION
>             "A multiple set of 8 integers, for each LLID, that
>              defines the thresholds reporting for each Queue in the
>              REPORT message, as defined in [802.3ah] 64. The number
>              of sets is eponDeviceObjectReportNumThreshold. Each
>              Queue set reporting will provide information on the
>              queue occupancy of frames below the matching Threshold.
>              The value returned shall be in Time quanta (TQ) which
>              is 16nsec or 2 octets increments.
>              Writing can be done all the time.
>              This attribute is relevant for an OLT and an ONU."
>     DEFVAL { 0 }
>     ::= { eponDeviceControlEntry 8 }

[GK] This is better. For the eponDeviceObjectReportNumThreshold, we need
to describe what happens if this parameter is set to a value greater
than the device can support.  Or maybe we should define a read-only
object eponDeviceObjectReportMaximumNumThreshold that would inform
management entity of the maximum supported number of thresholds.

I would also add read-only object for maximum supported number of
queues: 802.1D says that a device can have from 1 to 8 queues.

_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib